[SA16301] NetworkActiv Web Server Cross-Site Scripting Vulnerability

2005-08-06T00:00:00
ID SECURITYVULNS:DOC:9398
Type securityvulns
Reporter Securityvulns
Modified 2005-08-06T00:00:00

Description


Bist Du interessiert an einem neuen Job in IT-Sicherheit?

Secunia hat zwei freie Stellen als Junior und Senior Spezialist in IT- Sicherheit: http://secunia.com/secunia_vacancies/


TITLE: NetworkActiv Web Server Cross-Site Scripting Vulnerability

SECUNIA ADVISORY ID: SA16301

VERIFY ADVISORY: http://secunia.com/advisories/16301/

CRITICAL: Less critical

IMPACT: Cross Site Scripting

WHERE: >From remote

SOFTWARE: NetworkActiv Web Server 3.x http://secunia.com/product/5487/ NetworkActiv Web Server 2.x http://secunia.com/product/5488/ NetworkActiv Web Server 1.x http://secunia.com/product/4007/

DESCRIPTION: Secunia Research has discovered a vulnerability in NetworkActiv Web Server, which can be exploited by malicious people to conduct cross-site scripting attacks.

Input passed as a parameter is not properly sanitised before being returned to users. This can be exploited to execute arbitrary HTML and script code in a user's browser session in context of a vulnerable site.

Example: http://[host]?">[code]

The vulnerability has been confirmed in versions 1.0, 2.0.0.6, 3.0.1.1, and 3.5.13. Other versions may also be affected.

SOLUTION: Update to version 3.5.14 or later.

PROVIDED AND/OR DISCOVERED BY: Secunia Research

ORIGINAL ADVISORY: Secunia Research: http://secunia.com/secunia_research/2005-31/advisory/


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.